import { InputOptions, OutputOptions, RollupOutput } from 'rollup';
import { Resolver } from './resolver';
interface BuildOptionsBase {
    root?: string;
    cdn?: boolean;
    cssFileName?: string;
    resolvers?: Resolver[];
    srcRoots?: string[];
    rollupInputOptions?: InputOptions;
    write?: boolean;
    debug?: boolean;
    silent?: boolean;
}
interface SingleBuildOptions extends BuildOptionsBase {
    rollupOutputOptions?: OutputOptions;
}
interface MultiBuildOptions extends BuildOptionsBase {
    rollupOutputOptions?: OutputOptions[];
}
export declare type BuildOptions = SingleBuildOptions | MultiBuildOptions;
export interface BuildResult {
    js: RollupOutput['output'];
    css: string;
    html: string;
}
export declare function build(options: SingleBuildOptions): Promise<BuildResult>;
export declare function build(options: MultiBuildOptions): Promise<BuildResult[]>;
export {};
